Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 23 Sep 2014, 06:20
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Spotify client for Slacko
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [26 Posts]   Goto page: 1, 2 Next
Author Message
tempestuous

Joined: 10 Jun 2005
Posts: 5262
Location: Australia

PostPosted: Thu 08 Nov 2012, 02:50    Post subject:  Spotify client for Slacko  

Here is the official Linux Spotify client, which I have packaged for Slacko 5.3.x
I don't have a Spotify account, so I can't test it. I know that the program launches OK, with just a few errors relating to libcrypto/libssl and dbus.
My big concern is media playback; this application uses the Qt4 libraries, and it appears that GStreamer is required as the media playback engine ... but I'm not sure whether Qt4 needs any special bindings to GStreamer?
If someone could test, that would be great.

First you need to install the Qt4 libraries for Slacko -
http://distro.ibiblio.org/puppylinux/pet_packages-slacko/qt_all-4.7.3.sfs 43MB
For those who haven't installed sfs files in Puppy before - copy the sfs to the same place where your frugal installation files are located. Then to load (install) this sfs, go to
Menu > Setup > Setup Puppy > SFS_Load on-the-fly
From the drop-down menu you should see the sfs file, if it's in the correct place. Go ahead and select it, and load it.
From now on the sfs will automatically load at each boot up.

To install an sfs file in a full HD installation is a bit tricky. If anyone wants this information, ask, and we can deal with this separately.

Now there are 3 dotpets to install -
http://minipc.org/ipup/download/spotify-0.8.4.103.pet 28MB
http://minipc.org/ipup/download/GConf-ORBit-libs-Slacko.pet 2.1MB
http://minipc.org/ipup/download/gstreamer-audio-0.10.35.pet 5.4MB

If you want to create a desktop icon for Spotify, I included a suitable 48x48 icon at
/usr/local/lib/X11/pixmaps/spotify48.png

UPDATE May 2014:
Now attached is a hotfix for Slacko 5.7.
It modifies the library links suitable for the Firefox version in Slacko 5.7.
spotify-fix-Slacko-5.7.pet
Description 
pet

 Download 
Filename  spotify-fix-Slacko-5.7.pet 
Filesize  442 Bytes 
Downloaded  122 Time(s) 

Last edited by tempestuous on Sun 04 May 2014, 05:10; edited 1 time in total
Back to top
View user's profile Send private message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Fri 09 Nov 2012, 10:02    Post subject:  

Thanks indeed would be cool to get it to work.
Would it be difficult to change so it works for Lupu 528-005?

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
tempestuous

Joined: 10 Jun 2005
Posts: 5262
Location: Australia

PostPosted: Fri 09 Nov 2012, 20:17    Post subject:  

How to install Spotify in Puppy Lucid

There's no Qt4 package available in the official Puppy repositories which will work with Spotify in Lucid,
but I think that the version contributed by pemasu for Dpup will work -
http://www.murga-linux.com/puppy/viewtopic.php?p=635427#635427
His package has associated GStreamer components.

So there are 3 dotpets to install -
http://smokey01.com/pemasu/pet_packages-exprimo/qt-4.8.0-phonon-gstreamer-qtwebkit-dpup.pet 36MB
http://smokey01.com/pemasu/pet_packages-exprimo/gstreamer-plugins-deps-0.0.1.pet 33MB
http://minipc.org/ipup/download/spotify-0.8.4.103.pet 28MB
Back to top
View user's profile Send private message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Sat 10 Nov 2012, 04:20    Post subject:  

Yay! Thanks
I have to try that one too then.
The one for Slacko did work well.
So much appreciated.

Edit tried to install spotify following instructions above
for Lucid 528 but gives this error.
sh-4.1# spotify
spotify: error while loading shared libraries: libQtGui.so.4: cannot open shared object file: No such file or directory
sh-4.1#

Maybe I have to start the QT think first before
executing spotify? I give that a try and report back
if it succeeds.

I guess I need this one then
libQtGui.so.4 from where?
where to put it? would that work
Sure I can use slacko instead Smile
No big deal. I am only used to Lucid
due to to it has Bacon Recorder
and I like that one.
it

_________________
I use Google Search on Puppy Forum
not an ideal solution though

Last edited by nooby on Tue 20 Nov 2012, 13:54; edited 1 time in total
Back to top
View user's profile Send private message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Tue 20 Nov 2012, 13:42    Post subject:  

I failed to get it going on Lupu and Dpup too
it never start up regardless of what I do

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Thu 22 Nov 2012, 07:05    Post subject:  

Using an additional pet XVD or similar name
I got screeny to work on slacko
the file is too big so thanks for resizing it I delete my version
now that your version looks better.

_________________
I use Google Search on Puppy Forum
not an ideal solution though

Last edited by nooby on Fri 23 Nov 2012, 04:50; edited 1 time in total
Back to top
View user's profile Send private message 
tempestuous

Joined: 10 Jun 2005
Posts: 5262
Location: Australia

PostPosted: Fri 23 Nov 2012, 02:50    Post subject:  

Thanks nooby,
I resized your screenshot down to 800x600.
spotify-on-slacko800x600.jpg
 Description   
 Filesize   132.55 KB
 Viewed   3432 Time(s)

spotify-on-slacko800x600.jpg

Back to top
View user's profile Send private message 
Smithy


Joined: 12 Dec 2011
Posts: 431

PostPosted: Mon 26 Nov 2012, 13:59    Post subject:  

Has anyone else got this package running successully in a distro?

Tried the Dpup a while ago and it never worked, and this package locks up the three headed dog puppy, so much so that I have to pull the battery out to get it to shut down!

Been running spotify well in wine, but would be good to have a puppy native package.

Really annoying though, that the adverts nearly blow the speakers compared to the actual music! Don't know why they expect the listeners to rig up a hardware limiter to preserve your sanity, (unless you really love those shouty type ****heads extolling the virtues of soap powder etc). Smile
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 26 Nov 2012, 14:23    Post subject:  

I have created spotify for Precise Puppy. I tested it in Upup Precise and it works. You need qt libs sfs and spotify sfs from upup repo. And Precise Puppy or Upup Precise.

http://www.smokey01.com/pemasu/pet_packages-upup/
Quote:
Really annoying though, that the adverts nearly blow the speakers compared to the actual music!
To get rid of annoying adverts. You just need to upgrade your Spotify account to the Premium version. It costs of course.
spotify-in-upup-precise.jpg
 Description   
 Filesize   64.07 KB
 Viewed   3396 Time(s)

spotify-in-upup-precise.jpg

Back to top
View user's profile Send private message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Mon 26 Nov 2012, 16:19    Post subject:  

Worked good in Puppy Slacko for me.
I tried Upup Precise now when Pemasu
recommend it. This time I did get it going.

I loaded both the sfs that he recommend above.
I used the precise 5 4 x 4 iso I made a save file
before I tested to load the QT and spotify sfs
after rebooting I sfs loaded these two
and spotify started right away.

Thanks for providing these.

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
Smithy


Joined: 12 Dec 2011
Posts: 431

PostPosted: Mon 26 Nov 2012, 18:51    Post subject:  

Ok thanks for the tips.
What's the difference between UPup Precise+Precise?
I can't keep up with all these distros Smile
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 26 Nov 2012, 19:43    Post subject:  

I dont want to hijack this thread more...so read from here:
http://www.murga-linux.com/puppy/viewtopic.php?t=82255

I just wanted to post about Spotify possiblities which I have created.
Back to top
View user's profile Send private message 
Smithy


Joined: 12 Dec 2011
Posts: 431

PostPosted: Mon 26 Nov 2012, 20:25    Post subject:  

Ok Pemasu, thanks, tried the above as well as the first files, (but with Precise) and it locks up the computer again. I have had trouble with QT in the past, even pets so it's beyond my logic for now.

Glad it works for you Nooby.
Back to top
View user's profile Send private message 
tempestuous

Joined: 10 Jun 2005
Posts: 5262
Location: Australia

PostPosted: Mon 26 Nov 2012, 21:51    Post subject:  

Smithy wrote:
Tried the Dpup a while ago and it never worked

Smithy wrote:
this package locks up the three headed dog puppy

Just to be clear, the Spotify package I contributed here is for Slacko 5.3.x
and as nooby has confirmed, Spotify is tried-and-tested in this environment.

I also suggested a combination of packages which should work in Lucid Puppy (which includes Three-Headed Dog) but in this environment it appears to be unstable.

pemasu has now packaged a version for Precise, and that's great ...

... but if this application is important to you, it makes a lot of sense to use the version of Puppy which is known to work!!
Read: Slacko 5.3
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 1826
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Sat 27 Apr 2013, 18:27    Post subject:  

Bonsoir,
@pemasu
Quote:
I have created spotify for Precise Puppy. I tested it in Upup Precise and it works. You need qt libs sfs and spotify sfs from upup repo. And Precise Puppy or Upup Precise.

I am running Puppy Precise 5.4.3. I loaded the 2 sfs and got:
Code:
Cannot connect to server socket err = No such file or directory

Shocked
What's going wrong?

Thank you.

Cordialement.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 2 [26 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0934s ][ Queries: 13 (0.0175s) ][ GZIP on ]